1. 2 Voyage Dataset
ElaneGlobal
  • 1 AIS Dataset
    • 1.1 Vessel Position
      • 1.1.1 Single Vessel Position
      • 1.1.2 Multi-vessel Position
      • 1.1.3 Fleet Position
    • 1.2 Vessel Search
      GET
    • 1.3 Vessels Nearby
      GET
    • 1.4 Vessels in Zone
      GET
    • 1.5 Vessel Flag Information
      GET
  • 2 Voyage Dataset
    • 2.1 Port Information
      GET
    • 2.2 Currently Berthed Vessels
      GET
    • 2.3 Currently Anchored Vessels
      GET
    • 2.4 Inbound / Expected Arrivals
      GET
  • 3 History Dataset
    • 3.1 Vessel History Track
      GET
    • 3.2 Ship-to-Ship (STS) Events
      GET
    • 3.3 Vessel Port Call History
      GET
    • 3.4 Vessel Port Call Records at Specific Port
      GET
    • 3.5 Vessel Current Port Call
      GET
    • 3.6 Port Calls Records for Port
      GET
  • 4 Prediction Dataset
    • 4.1 Point-to-Point Route Planning
      GET
    • 4.2 Port-to-Port Route Planning
      GET
    • 4.3 ETA Query
      GET
  • 5 Meteorology Dataset
    • 5.1 Global Tropical Cyclone
      • 5.1.1 Global Tropical Cyclones List
      • 5.1.2 Tropical Cyclone Details by Point
    • 5.2 Global Port Tide Predictions
      • 5.2.1 Request parameters for Global Tide Gauge Stations List
      • 5.2.2 Query Single Tide Gauge Station Details
    • 5.3 Global Marine Weather
      GET
  • 6 China Region Coastline Warning Dataset
    • 6.1 China Region Navigational Warnings
      GET
  • 7 Event Dataset
    • 7.1 Monitored Fleet Management
      • 7.1.1 Create Fleet
      • 7.1.2 Update Fleet Information
      • 7.1.3 Query Fleet
      • 7.1.4 Delete Fleet
      • 7.1.5 Add Vessels to Fleet
      • 7.1.6 Batch Update Vessels in Fleet
      • 7.1.7 Remove Vessels from Fleet
    • 7.2 Geofence Monitoring Push
      • 7.2.1 Geofence Creation
      • 7.2.2 Geofence Update
      • 7.2.3 Geofence Query
      • 7.2.4 Geofence Deletion
      • 7.2.5 Geofence Monitoring Push
    • 7.3 Vessel Speed Alert Push
      • 7.3.1 Add Vessel Speed Alert Subscription
      • 7.3.2 Delete Vessel Speed Alert Subscription
      • 7.3.3 Query Vessel Speed Alert Subscription List
      • 7.3.4 Vessel Speed Anomaly Push
    • 7.4 Real-time Vessel Position Push
      POST
    • 7.5 Arrival/Departure Event Push
      POST
    • 7.6 Vessel Dynamic ETA Push
      POST
    • 7.7 Vessel AIS Signal Loss Event Push
      POST
    • 7.8 Vessel STS Event Push
      POST
  • Appendix
    • Vessel Type Comparison Table
    • Service Return Code
    • Sea Area Reference Table
    • Navigation Status Comparison Table
    • Deviation Node List
    • Aids to Navigation (AtoN) Type Table
  1. 2 Voyage Dataset

2.4 Inbound / Expected Arrivals

GET
https://api.elaneglobal.com/v1/Voyage/PortExpectedArrivals

Description#

The Inbound/Expected Arrivals retrieves the list and detailed information of vessels expected to arrive at a target port within a specified future time period, using the port’s five-digit port code and the query time period.

Use Cases#

1.
Maritime Supervision
Filter vessels by type and flag state based on the inbound vessel schedule for a specified future period. It allows advance allocation of customs or border inspection resources, and supports risk vessel analysis by combining historical abnormal AIS events, vessel alongside records and other relevant information.
2.
Logistics Vessel Sourcing
Filter the list of inbound cargo vessels at ports near the shipping warehouse, and launch cargo booking solicitations by referring to the operating company information in vessel profiles or the vessel contact list maintained in the corporate shipping capacity pool.
3.
Maritime Traffic Analysis
Analyze port carrying capacity and the attribute profiles of all inbound vessels scheduled to arrive at the port.

Request Limits#

This is a premium service that requires advanced permission application prior to use.
An API key must be created before using this service.
Service calls are subject to quota restrictions according to your permission type.To view your current service access permissions or activate service permissions, please contact our support team: support@elaneglobal.com.

Endpoint#

EndpointHTTP Method
https://api.elaneglobal.com/v1/Voyage/PortExpectedArrivalsGet

Example API Call#

https://api.elaneglobal.com/v1/Voyage/PortExpectedArrivals?key=1F6D701272402D1E7D8D316CCE519123&port_code=CNSHG&start_time=1746612218&end_time=1747044218&ship_type=0
Note:
The key 1F6D701272402D1E7D8D316CCE519123 is the official key of Shipfinder.com, bound to the domain api.shipfinder.com.
Users are not authorized to use this key for data access—utilizing it will return a status code 14, indicating an error in the source domain.
To trial the service, please create your own key in the Dashboard.

Request Parameters#

ParameterLegendTypeRequiredDescription
keyAuthorization CodestringyesYour personal Shipfinder API key to verify service permissions
port_codeStandard Port CodestringyesStandard five-digit port code
start_timeStart TimeintyesStart time represented as a UTC timestamp. The start time must be later than the current time.
end_timeEnd TimeintyesEnd time represented as a UTC timestamp. The interval between the start time and end time shall not exceed 1 week for a single request.
ship_typeShip TypeintnoFilter the type of vessels: see References for details. All vessels will be returned if this parameter is not specified.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.elaneglobal.com/v1/Voyage/PortExpectedArrivals?key=1F6D701272402D1E7D8D316CCE519123&port_code=PECLL&start_time=1746612218&end_time=1747044218&ship_type=0'

Responses

⚪0success
application/json
Body

Example
{
  "status": 0,
  "msg": "",
  "total": 1,
  "data": [
    {
      "mmsi": 760004503,
      "ship_name": "TINO 3",
      "imo": 0,
      "dwt": 0,
      "ship_type": 0,
      "length": 12,
      "width": 33,
      "draught": 5.7,
      "preport_name": "Manzanillo",
      "last_time": 1774921277,
      "eta": 1775100580,
      "dest": "Callao",
      "ship_flag": "Peru"
    }
  ]
}
Previous
2.3 Currently Anchored Vessels
Next
3.1 Vessel History Track
Built with